Bug 1442766 - For OSP10 provider, Cinder volume creation is never finishing on the UI
Summary: For OSP10 provider, Cinder volume creation is never finishing on the UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard:
: 1453038 (view as bug list)
Depends On: 1441469
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-17 12:58 UTC by Satoe Imaishi
Modified: 2020-07-16 09:26 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441469
Environment:
Last Closed: 2017-05-31 15:05:04 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-17 23:51:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/22bd07e9ecb8980bffe894cb8772fc5b9c4312ac

commit 22bd07e9ecb8980bffe894cb8772fc5b9c4312ac
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Apr 13 16:17:06 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 19:49:13 2017 -0400

    Merge pull request #14766 from tzumainn/remove-phantom-object-create
    
    Remove code that creates phantom object on create
    (cherry picked from commit 95130f3360a4abd82128ad2c23550d837799bb45)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442766

 app/models/cloud_tenant.rb | 5 -----
 app/models/cloud_volume.rb | 8 --------
 2 files changed, 13 deletions(-)

Comment 3 CFME Bot 2017-04-18 00:56:12 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9e1af1b10100603392c2216e23e2c5b5a2bf4253

commit 9e1af1b10100603392c2216e23e2c5b5a2bf4253
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Apr 17 16:23:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 20:53:58 2017 -0400

    Merge pull request #15 from tzumainn/update-cloud-volume-test
    
    Update cloud volume test to accommodate core cloud volume model change
    (cherry picked from commit 464c1d32e6d677ad874925205ab7102323a47c3b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442766

 .../providers/openstack/cloud_manager/cloud_volume_spec.rb       | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

Comment 4 Ronnie Rasouli 2017-04-23 11:37:11 UTC
verified on 5.8.0.11

Comment 5 Tzu-Mainn Chen 2017-05-22 23:10:34 UTC
*** Bug 1453038 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2017-05-31 15:05:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.